Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 05 Jun 2021 05:55:26 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Hi,
I have placed the order 26th May still I have not recieved it.  Order #8264321521. I called customer service no proper reply. I went to store hawally branch, they said it will be escalated to manager and will recieve the order in two days still no update.
May I know when I can receive it? Why there is a delay? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2671102